CREATE TABLE hes_academic_period_default (
    ACADEMIC_PERIOD_DEFAULT_ID    NUMBER(18, 0),
    INSTITUTION_ID                NUMBER(18, 0)    NOT NULL,
    ACADEMIC_PERIOD_ID            NUMBER(18, 0)    NOT NULL,
    START_DATE                    DATE             NOT NULL,
    END_DATE                      DATE             NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    ACADEMIC_PERIOD_DEFAULT_ID    NUMBER(18, 0),
    INSTITUTION_ID                NUMBER(18, 0)    NOT NULL,
    ACADEMIC_PERIOD_ID            NUMBER(18, 0)    NOT NULL,
    START_DATE                    DATE             NOT NULL,
    END_DATE                      DATE             NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_hes_academic_period_default PRIMARY KEY (ACADEMIC_PERIOD_DEFAULT_ID, ACADEMIC_PERIOD_DEFAULT_ID)
);
